/* You can add global styles to this file, and also import other style files */
@import "~@angular/material/prebuilt-themes/indigo-pink.css";
@import "../node_modules/primeicons/primeicons.css";
@import "../node_modules/primeng/resources/themes/nova-light/theme.css";
@import "../node_modules/primeng/resources/primeng.min.css";
@import "../node_modules/datatables.net-dt/css/jquery.dataTables.css";
@import "https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css";



html, body 
{ 
	height: 100%;
}
body 
{
	 margin: 0; 
	 font-family: Roboto, "Helvetica Neue", sans-serif; 
	 color: #1a2852;
	 text-align: center;
	 font-size: 18px !important;
}

h3
{
	color: #ffffff !important;
	font-size: 3vw!important;;
	font-weight: bold !important; 
	text-align: center!important;
	text-shadow: 1px 1px 2px #000000!important;
  	padding-top:5.6%!important;
	padding-bottom:5.6%!important;
}

#bannerApprovisionnement
{
	background-image: url('./assets/images/approvisionnement-banner2.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 30px;
}

#bannerClient
{
	background-image: url('./assets/images/client-banner4.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 50px;
}

#bannerCommandes
{
	background-image: url('./assets/images/commandes-banner.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 50px;
}

#bannerCommandesDuJour
{
	background-image: url('./assets/images/carousel/commandes-en-attente.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 50px;
}


#bannerChiffreAffaires
{
	background-image: url('./assets/images/carousel/compta.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 50px;
}

#bannerDepanneur
{
	background-image: url('/assets/images/depanneur-banner.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 50px;

}

#bannerFournisseur
{
	background-image: url('/assets/images/fournisseurs-banner.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 50px;
	
}

#bannerProduit
{
	background-image: url('/assets/images/produit-banner.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 30px;
}

#bannerStock
{
	background-image: url('/assets/images/stock-banner.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 30px;
}

#bannerStockLimite
{
	background-image: url('/assets/images/stock-limite-banner.jpg');
  	background-repeat: no-repeat;
	background-size: 100% , 100%;
	margin-bottom: 50px;
}

.btn-primary:hover {
    color:#fff;
background-color:
#1a2852;
border-color:
#111e42;
}

.btn-primary {
    color:  #fff;
	background-color: #e39832;
	box-shadow: 0 5px 15px rgba(0,0,0,.2);
	border-color: #e8931c;
	font-size: 20px;
}

.btn-secondary
{
	color:  #e8931c;
	border-color: #e8931c;
	background-color: #fff;
	box-shadow: 0 5px 15px rgba(0,0,0,.2);

}
.btn-secondary:hover {
    color:#fff;
	background-color:#1a2852;
	border-color:#111e42;
}

/* PAGINATION BAS DE DATATABLE*/

  .dataTables_wrapper .dataTables_paginate .paginate_button:hover
  {
	  color: #ffbc5e !important;
	  background: #1a2852;
  }

  .pagination a {
	border-radius: 5px;
  }
  
  .pagination a.active {
	border-radius: 5px;
  }

  .dataTables_wrapper .dataTables_paginate .paginate_button {
    box-sizing: border-box;
    display: inline-block;
    min-width: 1.5em;
    padding: 0.5em 1em;
    margin-left: 2px;
    text-align: center;
    text-decoration: none !important;
    cursor: pointer;
    cursor: hand;
    /* color: #333333 !important; */
    border: 1px solid transparent;
    border-radius: 25px;
    color: #1a2852 !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.disabled, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active
{
	color: #1a2852 !important;
}


/* Datatable*/

/*barre recherche*/


.dataTables_wrapper .dataTables_filter input {
	margin-bottom: 1.5em;
	margin-left: 0.5em;
	height: 35px;
	color: #111e42;
	box-shadow: 0 5px 15px rgba(0,0,0,.2);
	border: 1px solid #111e42 !important;
}

table.dataTable thead th, table.dataTable thead td {

    padding: 10px 18px;
    border-bottom: 3px solid #1a2852;

}

table.dataTable thead th, table.dataTable tfoot th {

	font-size: 18px;
	font-weight: bold;
	letter-spacing: 2px;
	color: #1a2852;

}

.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter, .dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_processing, .dataTables_wrapper .dataTables_paginate {

    color: #1a2852;

}

#myDtButton
{
	margin-right: 20%;
	font-size: 20px;
}

/**/

.btn-warning
{
	width: 250px !important;
	height: 50px !important;
	font-size: 22px !important;
	font-weight: bold !important;
	border-radius: 15px; 
	box-shadow: 0 5px 15px rgba(0,0,0,.2);
	margin-top: 20px;
}

.form-control
{
	
	box-shadow: 0 5px 15px rgba(0,0,0,.2);
	height: 45px !important;
	font-size: 20px;
	margin-bottom: 0px;
}

.input-group-addon:first-child
{
	border-radius: 15px 0px 0px 15px;
	box-shadow: 0 5px 15px rgba(0,0,0,.2);
}


  /**/

  .input-group-text {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    padding: .375rem .75rem;
    margin-bottom: 0;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: center;
    white-space: nowrap;
    background-color: #e9ecef;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    box-shadow: 0 5px 15px rgba(83, 81, 81, 0.2) !important;
}


.dataTables_wrapper .dataTables_paginate .paginate_button.current {
	background:  #e39832 !important;
	color: white !important;
	border: 0px solid #e39832 !important;
}

/* BUTTONS SOUS FORM */

/* .alignedButton 
{
	display: flex;
  justify-content: space-between;
  height: 0%;
  align-items: center;
} */

/*Calendar input*/

